Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class AbstractContentSelector.XPathPatternContentSelectorFactory

    java.lang.Object
      org.apache.batik.bridge.svg12.AbstractContentSelector.XPathPatternContentSelectorFactory

All Implemented Interfaces:
  AbstractContentSelector.ContentSelectorFactory

Enclosing class:
  AbstractContentSelector

    protected static class AbstractContentSelector.XPathPatternContentSelectorFactory

extends Object
implements AbstractContentSelector.ContentSelectorFactory

A factory for XPathPatternContentSelector objects.

Constructor Summary
`protected` | `AbstractContentSelector.XPathPatternContentSelectorFactory()`

Method Summary
`AbstractContentSelector` | `createSelector(ContentManager cm, XBLOMContentElement content, Element bound, String selector)` Creates a new XPathPatternContentSelector object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractContentSelector.XPathPatternContentSelectorFactory

    protected AbstractContentSelector.XPathPatternContentSelectorFactory()

Method Detail

### createSelector

    public AbstractContentSelector createSelector(ContentManager cm,
                                                  XBLOMContentElement content,
                                                  Element bound,
                                                  String selector)

  Creates a new XPathPatternContentSelector object.

  Specified by:
    `createSelector` in interface `AbstractContentSelector.ContentSelectorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.